Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.services.actions.calendar
Class GetWorkCalendar

    java.lang.Object
      com.tibco.bpm.web.client.services.actions.calendar.GetWorkCalendar

All Implemented Interfaces:
  com.google.gwt.user.client.rpc.IsSerializable, OSAction<GetWorkCalendarResult>, net.customware.gwt.dispatch.shared.Action<GetWorkCalendarResult>

    public class GetWorkCalendar

extends java.lang.Object
implements OSAction<GetWorkCalendarResult>

Returns the details of a named Calendar. For a Base Calendar, the time-zone and Working Day entries will be included. Also includes the Calendar Entries (e.g. Working Day Exclusions and Recurring Exclusions) for a date range given in the request. If no date range is given, no Calendar Entries are returned. If an open-ended date-range is given, the response will include all Calendar Entries for the given start date/time onwards. The given date range will be given as time-zone neutral values.

The date and time values of the Calendar Entries are specified as time-zone neutral, and should be displayed as is, without time-zone adjustment. However, for Base Calendars, the time-zone identifier will be included in the response, and this should be displayed for the user to edit.

Recurring Exclusions will be listed only once, and will include the Recurrence Rule expression used to calculate the repeating occurrences.

Constructor Summary
`GetWorkCalendar()`
`GetWorkCalendar(java.lang.String name, java.lang.String nameSpace)` Constructor.

Method Summary
`java.lang.String` | `getName()` Gets the name.
`java.lang.String` | `getNameSpace()` Gets the namespace.
`void` | `setName(java.lang.String name)` Sets a value for name.
`void` | `setNameSpace(java.lang.String nameSpace)` Sets the namespace.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetWorkCalendar

    public GetWorkCalendar()

### GetWorkCalendar

    public GetWorkCalendar(java.lang.String name,
                           java.lang.String nameSpace)

  Constructor.

  Parameters:
    `aNamespace` - the namespace of the calendar to be retrieved.
    `aName` - the name of the calendar to be retrieved.

Method Detail

### getName

    public java.lang.String getName()

  Gets the name.

  Returns:
    Returns the name.

### setName

    public void setName(java.lang.String name)

  Sets a value for name.

  Parameters:
    `name` - The name to set.

### getNameSpace

    public java.lang.String getNameSpace()

  Gets the namespace.

  Returns:
    Returns the nameSpace.

### setNameSpace

    public void setNameSpace(java.lang.String nameSpace)

  Sets the namespace.

  Parameters:
    `nameSpace` - The nameSpace to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.